name: fileflows
services:
  fileflows:
    container_name: fileflows
    devices:
      - /dev/dri:/dev/dri
    environment:
      PGID: $PGID
      PUID: $PUID
      TZ: $TZ
    hostname: fileflows
    image: revenz/fileflows:stable
    labels:
      icon: https://fileflows.com/img/logo.svg
    restart: unless-stopped
    ports:
      - target: 5000
        published: "19200"
        protocol: tcp
    network_mode: bridge
    volumes:
      - type: bind
        source: /DATA/AppData/$AppID/data
        target: /app/Data
      - type: bind
        source: /DATA/AppData/$AppID/logs
        target: /app/Logs
      - type: bind
        source: /DATA/AppData/$AppID/common
        target: /app/common
      - type: bind
        source: /DATA/AppData/$AppID/temp
        target: /temp
      - type: bind
        source: /DATA/Media
        target: /Media
      - type: bind
        source: /var/run/docker.sock
        target: /var/run/docker.sock
x-casaos:
  architectures:
    - amd64
    - arm64
  main: fileflows
  author: FileFlows
  category: Media
  port_map: "19200"
  scheme: http
  title:
    en_us: FileFlows
  index: /
  developer: FileFlows
  icon: https://cdn.jsdelivr.net/gh/IceWhaleTech/CasaOS-AppStore@main/Apps/FileFlows/icon.png
  screenshot_link:
    - https://cdn.jsdelivr.net/gh/IceWhaleTech/CasaOS-AppStore@main/Apps/FileFlows/screenshot-1.png
    - https://cdn.jsdelivr.net/gh/IceWhaleTech/CasaOS-AppStore@main/Apps/FileFlows/screenshot-2.png
    - https://cdn.jsdelivr.net/gh/IceWhaleTech/CasaOS-AppStore@main/Apps/FileFlows/screenshot-3.png
  tagline:
    en_us: File processing made easy!
    zh_cn: 文件处理变得轻松！
    ar_sa: جعل معالجة الملفات أسهل!
    de_de: Dateiverarbeitung leicht gemacht!
    es_es: ¡Procesamiento de archivos hecho fácil!
    fr_fr: Traitement des fichiers simplifié !
    hu_hu: A fájlkezelés egyszerűvé vált!
    it_it: Elaborazione dei file resa semplice!
    ru_ru: Обработка файлов стала проще!
    pl_pl: Przetwarzanie plików stało się łatwiejsze!
    pt_br: Processamento de arquivos facilitado!
    sv_se: Filhantering gjort enkelt!
    uk_ua: Обробка файлів стала простою!
  description:
    en_us: |
      Save storage space with efficient file processing.

      FileFlows lets you monitor and process any file type with custom flows. Videos, audio, images, archives, comics, eBooks—you name it!
    zh_cn: |
      通过高效的文件处理节省存储空间。

      FileFlows 让您通过自定义流程监控和处理任何类型的文件。视频、音频、图像、档案、漫画、电子书——应有尽有！
    ar_sa: |
      وفر مساحة التخزين من خلال معالجة الملفات بكفاءة.

      يتيح لك FileFlows مراقبة ومعالجة أي نوع من الملفات من خلال تدفقات مخصصة. الفيديوهات، الصوت، الصور، الأرشيفات، الكوميديا، الكتب الإلكترونية - كل شيء!
    de_de: |
      Speichern Sie Speicherplatz durch effiziente Dateiverarbeitung.

      Mit FileFlows können Sie jede Art von Datei mit benutzerdefinierten Workflows überwachen und verarbeiten. Videos, Audios, Bilder, Archive, Comics, E-Books – alles, was Sie sich wünschen!
    es_es: |
      Ahorra espacio de almacenamiento con un procesamiento de archivos eficiente.

      FileFlows te permite monitorear y procesar cualquier tipo de archivo con flujos personalizados. Videos, audios, imágenes, archivos, cómics, libros electrónicos: ¡todo lo que necesites!
    fr_fr: |
      Économisez de l'espace de stockage grâce à un traitement de fichiers efficace.

      FileFlows vous permet de surveiller et de traiter n'importe quel type de fichier avec des flux personnalisés. Vidéos, audios, images, archives, bandes dessinées, eBooks — tout ce que vous voulez !
    hu_hu: |
      Takarítson meg tárolóhelyet hatékony fájlkezeléssel.

      A FileFlows lehetővé teszi bármilyen fájltípus figyelését és feldolgozását testreszabott folyamatokkal. Videók, hangok, képek, archívumok, képregények, e-könyvek — minden, amit csak szeretne!
    it_it: |
      Risparmia spazio di archiviazione con un'elaborazione dei file efficiente.

      FileFlows ti consente di monitorare e elaborare qualsiasi tipo di file con flussi personalizzati. Video, audio, immagini, archivi, fumetti, eBook — tutto ciò di cui hai bisogno!
    ru_ru: |
      Сэкономьте место для хранения с эффективной обработкой файлов.

      FileFlows позволяет вам отслеживать и обрабатывать любой тип файлов с помощью настраиваемых потоков. Видео, аудио, изображения, архивы, комиксы, электронные книги — все, что вам нужно!
    pl_pl: |
      Oszczędzaj miejsce na dysku dzięki efektywnej obróbce plików.

      FileFlows pozwala monitorować i przetwarzać każdy typ pliku za pomocą niestandardowych przepływów. Filmy, dźwięki, obrazy, archiwa, komiksy, e-booki — wszystko, czego potrzebujesz!
    pt_br: |
      Economize espaço de armazenamento com o processamento eficiente de arquivos.

      O FileFlows permite monitorar e processar qualquer tipo de arquivo com fluxos personalizados. Vídeos, áudios, imagens, arquivos, quadrinhos, eBooks – tudo o que você precisar!
    sv_se: |
      Spara lagringsutrymme med effektiv filhantering.

      FileFlows låter dig övervaka och bearbeta alla filtyper med anpassade flöden. Videor, ljud, bilder, arkiv, serier, e-böcker – allt du kan tänka dig!
    uk_ua: |
      Зекономте місце на сховищі за допомогою ефективної обробки файлів.

      FileFlows дозволяє вам моніторити та обробляти будь-який тип файлів за допомогою настроюваних потоків. Відео, аудіо, зображення, архіви, комікси, електронні книги — все, що потрібно!
